Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Vpc

    java.lang.Object
      com.amazonaws.services.ec2.model.Vpc

    public class Vpc

extends Object

The Vpc data type.

Constructor Summary
`Vpc()`

Method Summary
`String` | `getCidrBlock()` Specifies the CIDR block the VPC covers.
`String` | `getDhcpOptionsId()` Specifies the ID of the set of DHCP options associated with the VPC.
`String` | `getState()` Describes the current state of the VPC.
`String` | `getVpcId()` Specifies the ID of the VPC.
`void` | `setCidrBlock(String cidrBlock)` Specifies the CIDR block the VPC covers.
`void` | `setDhcpOptionsId(String dhcpOptionsId)` Specifies the ID of the set of DHCP options associated with the VPC.
`void` | `setState(String state)` Describes the current state of the VPC.
`void` | `setVpcId(String vpcId)` Specifies the ID of the VPC.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Vpc` | `withCidrBlock(String cidrBlock)` Specifies the CIDR block the VPC covers.
`Vpc` | `withDhcpOptionsId(String dhcpOptionsId)` Specifies the ID of the set of DHCP options associated with the VPC.
`Vpc` | `withState(String state)` Describes the current state of the VPC.
`Vpc` | `withVpcId(String vpcId)` Specifies the ID of the VPC.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Vpc

    public Vpc()

Method Detail

### getVpcId

    public String getVpcId()

  Specifies the ID of the VPC.

  Returns:
    Specifies the ID of the VPC.

### setVpcId

    public void setVpcId(String vpcId)

  Specifies the ID of the VPC.

  Parameters:
    `vpcId` - Specifies the ID of the VPC.

### withVpcId

    public Vpc withVpcId(String vpcId)

  Specifies the ID of the VPC.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpcId` - Specifies the ID of the VPC.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.

  Returns:
    Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.

### setState

    public void setState(String state)

  Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.

  Parameters:
    `state` - Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.

### withState

    public Vpc withState(String state)

  Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Describes the current state of the VPC. The state of the subnet may be either `pending` or `available`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCidrBlock

    public String getCidrBlock()

  Specifies the CIDR block the VPC covers.

  Returns:
    Specifies the CIDR block the VPC covers.

### setCidrBlock

    public void setCidrBlock(String cidrBlock)

  Specifies the CIDR block the VPC covers.

  Parameters:
    `cidrBlock` - Specifies the CIDR block the VPC covers.

### withCidrBlock

    public Vpc withCidrBlock(String cidrBlock)

  Specifies the CIDR block the VPC covers.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `cidrBlock` - Specifies the CIDR block the VPC covers.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDhcpOptionsId

    public String getDhcpOptionsId()

  Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.

  Returns:
    Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.

### setDhcpOptionsId

    public void setDhcpOptionsId(String dhcpOptionsId)

  Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.

  Parameters:
    `dhcpOptionsId` - Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.

### withDhcpOptionsId

    public Vpc withDhcpOptionsId(String dhcpOptionsId)

  Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptionsId` - Specifies the ID of the set of DHCP options associated with the VPC. Contains a value of `default` if the default options are associated with the VPC.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.